import React, { FC } from "react";
import { Tabs } from "antd";
import { Column, Funnel, Pie } from "@ant-design/plots";
import {
  degreeData,
  flowingConfig,
  flowingTrendconfig,
  genderData,
  institutionConfig,
  internData,
  linesData,
  personChangeConfig,
  personChangeData,
  seniorityConfig,
  seniorityData,
  multiplData,
  multipleConfig,
  trainingData,
  rankingData,
  rankingConfig
} from "./constants";
import styles from "./index.less";

interface OwnProps {
}

type Props = OwnProps;

const index: FC<Props> = (props) => {
  // @ts-ignore
  return (
    <div className={styles.chartWrapper}>
      {/*人才结构表*/}
      <div className={styles.talentTableBox}>
        <div>
          <div className={styles.title}>人员流动情况</div>
          <Pie {...flowingConfig} />
        </div>
        <div style={{ paddingTop: 0 }}>
          <Pie {...seniorityConfig} data={seniorityData}/>
          {/*<Tabs defaultActiveKey="1">*/}
          {/*  <Tabs.TabPane tab="司龄占比" key="1">*/}
          {/*    <Pie {...seniorityConfig} data={seniorityData}/>*/}
          {/*  </Tabs.TabPane>*/}
          {/*  <Tabs.TabPane tab="性别占比" key="2">*/}
          {/*    <Pie {...seniorityConfig} data={genderData}/>*/}
          {/*  </Tabs.TabPane>*/}
          {/*  <Tabs.TabPane tab="学历分布" key="3">*/}
          {/*    <Pie {...seniorityConfig} data={degreeData}/>*/}
          {/*  </Tabs.TabPane>*/}
          {/*  <Tabs.TabPane tab="条线占比" key="4">*/}
          {/*    <Pie {...seniorityConfig} data={linesData}/>*/}
          {/*  </Tabs.TabPane>*/}
          {/*  <Tabs.TabPane tab="实习生占比" key="5">*/}
          {/*    <Pie {...seniorityConfig} data={internData}/>*/}
          {/*  </Tabs.TabPane>*/}
          {/*</Tabs>*/}
        </div>
        <div>
          <div className={styles.title}>人员流动情况趋势图</div>
          <Column {...flowingTrendconfig} />
        </div>
        <div>
          <div className={styles.title}>机构人员排名数</div>
          <Funnel {...institutionConfig} />
        </div>
      </div>
      {/*人才利润报表*/}
      <div className={styles.profitTableBox}></div>
      {/*人员流量表*/}
      <div className={styles.flowRateTableBox}>
        <div>
          <div className={styles.title}>人员异动分析</div>
          <Pie {...personChangeConfig} data={personChangeData}/>
        </div>
        <div>
          <div className={styles.title}>详细图表</div>
          <Column {...multipleConfig} data={multiplData} />
        </div>
        <div>
          <div className={styles.title}>培训管理分析</div>
          <Pie {...seniorityConfig} data={trainingData}/>
        </div>
        <div>
          <div className={styles.title}>培训排名</div>
          <Column {...rankingConfig} data={rankingData} />
        </div>
      </div>
    </div>
  );
};

export default index;
